import React from "react";
import { Stack, Heading, useColorMode, Box, Avatar, Text } from "@chakra-ui/react";
import { MoonIcon, SunIcon } from '@chakra-ui/icons';


function FrequentlyVisited() {
  const { colorMode, toggleColorMode } = useColorMode();

  const links = [
    {
        name: "GitLab",
        url: "https://git.pogr.cc/",
        iconUrl: "https://cdn.jamesz.dev/branding/gitlab-logo-500.png"
    },
    {
        name: "YouTube",
        url: "https://youtube.com/",
        iconUrl: "https://cdn.jamesz.dev/branding/yt_icon_rgb.png"
    },
    {
        name: "Netflix",
        url: "https://netflix.com/",
        iconUrl: "https://images.ctfassets.net/4cd45et68cgf/Rx83JoRDMkYNlMC9MKzcB/2b14d5a59fc3937afd3f03191e19502d/Netflix-Symbol.png"
    },
    {
        name: "ChatGPT",
        url: "https://chat.openai.com/",
        iconUrl: "https://upload.wikimedia.org/wikipedia/commons/thumb/0/04/ChatGPT_logo.svg/1200px-ChatGPT_logo.svg.png"
    }
  ]

  const redirect = (url) => {
    window.location.href = url;
  }

  return (
    <>
        <Heading mt="5em" mb={3}>Frequently Visited</Heading>
        <Stack spacing="24px" direction={["column", "row"]}>
            {links.map(link => (
            <Box w="80px" h="80px" key={link.name} onClick={() => {redirect(link.url)}} cursor="pointer" >
                <Avatar w="80px" h="80px" size="lg" name={link.name} src={link.iconUrl} borderRadius={10}/>
                <Text color={colorMode === "dark" ? "gray.400" : "gray.700"} textAlign="center">{link.name}</Text>
            </Box>
            ))}

        </Stack>
    </>
  );
}

export default FrequentlyVisited;