import { Button, useColorMode } from "@chakra-ui/react";
import isUrl from '../utils/isUrl';


function Suggestion({ text, isYt, isLoc }) {
    const { colorMode } = useColorMode();
    const clickHandle = () => {
        if (text === " " || text == "") return;
        if (isUrl(text)) {
          if (!text.startsWith("http")) {
            search = `https://${text}`;
          }
          window.location.href = text;
        } else {
          if (isYt) {
            window.location.href = `https://www.youtube.com/results?search_query=${text}`
          } else if (isLoc) {
            window.location.href = `http://localhost:${text}`
          
          } else {
            window.location.href = `https://google.com/search?q=${text}`
          }
        }
    }
    return (
        <Button colorScheme='teal' variant='ghost' onClick={clickHandle} bgColor={colorMode === "light" ? "gray.100" : "gray.900"}>
            {text}
        </Button>
    )
}

export default Suggestion;