import React from "react";
import { Flex, Button, useColorMode } from "@chakra-ui/react";
import { MoonIcon, SunIcon } from '@chakra-ui/icons';


function ThemeButton() {
  const { colorMode, toggleColorMode } = useColorMode();

  return (
    <Flex justifyContent="flex-end" alignItems="flex-start" p={4}>
      <Flex flex="1" />
      
      <Button onClick={toggleColorMode} className="theme-button">
        {colorMode === "light" ? <MoonIcon /> : <SunIcon />}
      </Button>
    </Flex>
  );
}

export default ThemeButton;